# Generated by Django 3.1.5 on 2021-02-08 19:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Catalog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('error', models.TextField(null=True)),
                ('status', models.IntegerField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='LabSeries',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.BooleanField(default=False)),
                ('name', models.TextField(null=True)),
                ('description', models.TextField(null=True)),
                ('num_training_days', models.IntegerField(null=True)),
                ('catalog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lab_series', to='lods.catalog')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LabProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.BooleanField(default=False)),
                ('name', models.TextField(null=True)),
                ('number', models.TextField(null=True)),
                ('platform_id', models.IntegerField(null=True)),
                ('cloud_platform_id', models.IntegerField(null=True)),
                ('enabled', models.BooleanField(null=True)),
                ('reason_disabled', models.TextField(null=True)),
                ('development_status_id', models.IntegerField(null=True)),
                ('description', models.TextField(null=True)),
                ('series_id', models.IntegerField(null=True)),
                ('objective', models.TextField(null=True)),
                ('scenario', models.TextField(null=True)),
                ('expected_duration_minutes', models.IntegerField(null=True)),
                ('duration_minutes', models.IntegerField(null=True)),
                ('ram', models.IntegerField(null=True)),
                ('has_integrated_content', models.BooleanField(null=True)),
                ('content_version', models.IntegerField(null=True)),
                ('is_exam', models.BooleanField(null=True)),
                ('premium_price', models.FloatField(null=True)),
                ('basic_price', models.FloatField(null=True)),
                ('tags', models.TextField(null=True)),
                ('shared_class_environment_role_id', models.IntegerField(null=True)),
                ('catalog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='lab_profiles', to='lods.catalog')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DeliveryRegions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.BooleanField(default=False)),
                ('name', models.TextField(null=True)),
                ('description', models.TextField(null=True)),
                ('catalog', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='delivery_regions', to='lods.catalog')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
